curl --request POST \
--url https://invoice.replace-me.example.com/invoice/node/{nodeId}/{commodityCodes}/{startDate}/{endDate} \
--header 'Token: <api-key>'const options = {method: 'POST', headers: {Token: '<api-key>'}};
fetch('https://invoice.replace-me.example.com/invoice/node/{nodeId}/{commodityCodes}/{startDate}/{endDate}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://invoice.replace-me.example.com/invoice/node/{nodeId}/{commodityCodes}/{startDate}/{endDate}"
headers = {"Token": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){}Get invoice details for a node
Request invoice details for a single nodeId and specific list of commodities (ie. ELECTRIC) and filter on invoices that have a statement date between start and end dates. See Commodity model for full list of possible commodityCodes. Please note, that you can only filter on commodities available for that node, since not all nodes have all commodities. This can be verified by a call to the info API endpoint
curl --request POST \
--url https://invoice.replace-me.example.com/invoice/node/{nodeId}/{commodityCodes}/{startDate}/{endDate} \
--header 'Token: <api-key>'const options = {method: 'POST', headers: {Token: '<api-key>'}};
fetch('https://invoice.replace-me.example.com/invoice/node/{nodeId}/{commodityCodes}/{startDate}/{endDate}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://invoice.replace-me.example.com/invoice/node/{nodeId}/{commodityCodes}/{startDate}/{endDate}"
headers = {"Token": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){}Authorizations
API token sent in the Token header.
Path Parameters
ID for a specific node (property/region etc.) as found in the response from info API endpoint
Comma separated list of commodity codes, ie. ELECTRIC,NATURAL_GAS (full list found as enum in the Commodity model)
Used to limit query to invoices with statement dates after start date (yyyy-mm-dd)
Used to limit query to invoices with statement dates before end date (yyyy-mm-dd)
Response
Successful operation
The response is of type object.

